Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class FunctionConfig

    java.lang.Object
      com.bea.dsp.management.beans.FunctionConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class FunctionConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

Configuration for data service function.

See Also:
  Serialized Form

Method Summary
`FunctionRef` | `getFunctionRef()` Returns the id of this function.
`long` | `getTtl()` Returns the TTL (time to live) in seconds for any cache entry of this functions.
`boolean` | `isAddIdentityKeyInCache()` If true then user identity will be added as part of the cache entry key.
`boolean` | `isAlwaysSecured()` When true the function is secured even invoked by internal clients.
`boolean` | `isAuditEnabled()` Returns `true` if auditing of this function is enabled.
`boolean` | `isAuditEnabledWhenInlined()` Returns `true` if auditing of this function is enabled even when it is called indirectly from other data service function.
`boolean` | `isCachingDenied()` Returns `true` when caching for this function cannot be enabled by the administrator.
`boolean` | `isCachingEnabled()` Returns `true` is caching has been enabled for this function.
`void` | `setAddIdentityKeyInCache(boolean addIdentityKeyInCache)`
`void` | `setAlwaysSecured(boolean alwaysSecured)`
`void` | `setAuditEnabled(boolean auditEnabled)`
`void` | `setAuditEnabledWhenInlined(boolean auditEnabledWhenInlined)`
`void` | `setCachingEnabled(boolean cachingEnabled)`
`void` | `setTtl(long ttl)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isAuditEnabled

    public boolean isAuditEnabled()

  Returns `true` if auditing of this function is enabled. The level of auditing is defined at the data space level.

  Returns:
    `true` is auditing of this function is enabled

### isAuditEnabledWhenInlined

    public boolean isAuditEnabledWhenInlined()

  Returns `true` if auditing of this function is enabled even when it is called indirectly from other data service function. Note that this is be enabled only when audit for the function is also enabled.

  Returns:
    `true` if indirect auditing of this function is enabled
  See Also:
    `isAuditEnabled()`

### isCachingDenied

    public boolean isCachingDenied()

  Returns `true` when caching for this function cannot be enabled by the administrator. This is generally set at design time.

  Returns:
    `true` when caching for this function cannot be enabled by the administrator

### isCachingEnabled

    public boolean isCachingEnabled()

  Returns `true` is caching has been enabled for this function. Cannot be `true` if caching is denied.

  Returns:
    `true` is caching has been enabled for this function

### isAlwaysSecured

    public boolean isAlwaysSecured()

  When true the function is secured even invoked by internal clients.

  Returns:
    `true` if the method should be alwys secure

### setAlwaysSecured

    public void setAlwaysSecured(boolean alwaysSecured)

### isAddIdentityKeyInCache

    public boolean isAddIdentityKeyInCache()

  If true then user identity will be added as part of the cache entry key.

  Returns:

### setAddIdentityKeyInCache

    public void setAddIdentityKeyInCache(boolean addIdentityKeyInCache)
                                  throws ValidationException

  Throws:
    `ValidationException`

### getFunctionRef

    public FunctionRef getFunctionRef()

  Returns the id of this function.

  Returns:
    the id of this function

### getTtl

    public long getTtl()

  Returns the TTL (time to live) in seconds for any cache entry of this functions. Cached values are refreshed only after the TTL since the first fetch has expired. This value will be used only if caching is enabled.

  Returns:
    TTL

### setAuditEnabled

    public void setAuditEnabled(boolean auditEnabled)

### setAuditEnabledWhenInlined

    public void setAuditEnabledWhenInlined(boolean auditEnabledWhenInlined)

### setCachingEnabled

    public void setCachingEnabled(boolean cachingEnabled)
                           throws ValidationException

  Throws:
    `ValidationException`

### setTtl

    public void setTtl(long ttl)
                throws ValidationException

  Throws:
    `ValidationException`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.